# Resource Integration

***

<details>

<summary>Copy Paste Integration From Client Side</summary>

{% code title="Automatically detects whether cd\_dispatch3d or cd\_dispatch is running and triggers the correct dispatch alert accordingly." overflow="wrap" %}

```lua
local data = exports['cd_dispatch3d']:GetPlayerInfo()
TriggerServerEvent('cd_dispatch:AddNotification', {
    job_table = {'police'},
    coords = data.coords,
    title = '10-15 - Store Robbery',
    message = ('A %s robbing a store at %s'):format(data.sex, data.street),
    flash = false,
    sound = 1,
    blip = {
        sprite = 431,
        scale = 1.2,
        colour = 3,
        flashes = false,
        text = '911 - Store Robbery',
        time = 5,
        radius = 0,
    }
})
```

{% endcode %}

</details>

<details>

<summary>Copy Paste Integration From Server Side</summary>

```lua
TriggerEvent('cd_dispatch:AddNotification', {
      job_table = {'police', },
      coords = coords,
      title = '10-15 - Drugs',
      message = message,
      flash = 0,
      sound = 1,
      blip = {
          sprite = 431,
          scale = 1.2,
          colour = 3,
          flashes = false,
          text = '911 - Drugs',
          time = 5,
          radius = 0,
      }
  })
```

</details>

***

{% hint style="info" %}

## Compatibility Key

<mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark>

* Fully integrated into cd\_dispatch3d and auto-detected, no modifications or configuration needed.

<mark style="color:$success;">**Built-In (creator)**</mark>

* Fully integrated by the resource creator, no modifications required.

<mark style="color:$success;">**Built-In (cd\_bridge)**</mark>

* Fully integrated through cd\_bridge and auto-detected, no extra changes needed in the supported resource.

<mark style="color:$info;">**Minor Changes Required**</mark>

* Small, simple edits such as adding or copying a single line of code.

<mark style="color:$warning;">**Moderate Changes Required**</mark>

* Involves replacing existing logic or functions with the versions provided by Codesign.

<mark style="color:red;">**Major Changes Required**</mark>

* Extensive modifications across multiple files or large code sections.
  {% endhint %}

***

## Supported Utility Compatibility

Additional resource types that can work through our bridge, such as notifications and similar utility scripts.

| Script Type      | Compatibility Type                                             | View Supported Scripts                                                                |
| ---------------- | -------------------------------------------------------------- | ------------------------------------------------------------------------------------- |
| Framework        | <mark style="color:$success;">**Built-In (cd\_bridge)**</mark> | [Resource Integration](/paid-scripts/bridge/resource-integration.md#framework)        |
| Database Wrapper | <mark style="color:$success;">**Built-In (cd\_bridge)**</mark> | [Resource Integration](/paid-scripts/bridge/resource-integration.md#database-wrapper) |
| Duty             | <mark style="color:$success;">**Built-In (cd\_bridge)**</mark> | [Resource Integration](/paid-scripts/bridge/resource-integration.md#duty)             |
| Hud              | <mark style="color:$success;">**Built-In (cd\_bridge)**</mark> | [Resource Integration](/paid-scripts/bridge/resource-integration.md#hud)              |
| Notifications    | <mark style="color:$success;">**Built-In (cd\_bridge)**</mark> | [Resource Integration](/paid-scripts/bridge/resource-integration.md#notification)     |
| Society          | <mark style="color:$success;">**Built-In (cd\_bridge)**</mark> | [Resource Integration](/paid-scripts/bridge/resource-integration.md#society)          |

***

## Supported Alert Integrations

Resources grouped by creator with built-in support for sending alerts to our dispatch system.

### ESX

| Script Name                                                                                                                                                                  | Compatibility Type                                                 | Notes                         |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ | ----------------------------- |
| [esx\_ambulancejob](https://github.com/esx-framework/ESX-Legacy-Addons/blob/973ae5390b61e3e6e6e2f507fe8d13cb8d2370af/%5Besx_addons%5D/esx_ambulancejob/client/main.lua#L194) | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | *cd\_dispatch3d/integrations* |

***

### QBCore

| Script Name                                                                                                                                           | Compatibility Type                                                 | Notes                         |
| ----------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ | ----------------------------- |
| [qb-drugs](https://github.com/qbcore-framework/qb-drugs/blob/7568f7eb396254b9132b39674634949660fa030e/client/cornerselling.lua#L30)                   | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | *cd\_dispatch3d/integrations* |
| [qb-policejob (anpr)](https://github.com/qbcore-framework/qb-policejob/blob/c9a2ae70015c6eb3d18d38e46ce085d2b8d89d37/client/anpr.lua#L36)             | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-ambulancejob (1)](https://github.com/qbcore-framework/qb-ambulancejob/blob/2ff1e377446d238bd1494e019b03c55ab2f4c964/client/dead.lua#L54)          | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-ambulancejob (2)](https://github.com/qbcore-framework/qb-ambulancejob/blob/2ff1e377446d238bd1494e019b03c55ab2f4c964/client/dead.lua#L189)         | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-ambulancejob (3)](https://github.com/qbcore-framework/qb-ambulancejob/blob/fc17631680ffe423a0710f76dc19ecb3482c0a51/client/laststand.lua#L70)     | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-bankrobbery (fleeca)](https://github.com/qbcore-framework/qb-bankrobbery/blob/ee8f8a1b06dd771bf23b1fcd2d54dab0a07613a5/client/fleeca.lua#L273)    | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-bankrobbery (pacific 1)](https://github.com/qbcore-framework/qb-bankrobbery/blob/ee8f8a1b06dd771bf23b1fcd2d54dab0a07613a5/client/pacific.lua#L51) | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-bankrobbery (pacific 2)](https://github.com/qbcore-framework/qb-bankrobbery/blob/ee8f8a1b06dd771bf23b1fcd2d54dab0a07613a5/client/pacific.lua#L93) | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-bankrobbery (paleto)](https://github.com/qbcore-framework/qb-bankrobbery/blob/ee8f8a1b06dd771bf23b1fcd2d54dab0a07613a5/client/paleto.lua#L42)     | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-storerobbery (1)](https://github.com/qbcore-framework/qb-storerobbery/blob/d75de7624ff30ccb109dcd2b9c7901e887055b4e/client/main.lua#L90)          | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-storerobbery (2)](https://github.com/qbcore-framework/qb-storerobbery/blob/d75de7624ff30ccb109dcd2b9c7901e887055b4e/client/main.lua#L151)         | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-storerobbery (3)](https://github.com/qbcore-framework/qb-storerobbery/blob/d75de7624ff30ccb109dcd2b9c7901e887055b4e/client/main.lua#L168)         | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-truckrobbery](https://github.com/qbcore-framework/qb-truckrobbery/blob/4c4e2584cf517ec55858d89217877e097be749c6/client/main.lua#L156)             | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-jewelery](https://github.com/qbcore-framework/qb-jewelery/blob/b9089a14df852ddaca14773561362f4aa8c77d56/client/main.lua#L80)                      | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [qb-houserobbery](https://github.com/qbcore-framework/qb-houserobbery/blob/19ba35dac2047d1a6941f82d466033ea5b9891d3/client/main.lua#L90)              | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |

***

### Jaksam

| Script Name                                                                  | Compatibility Type                                                 | Notes                         |
| ---------------------------------------------------------------------------- | ------------------------------------------------------------------ | ----------------------------- |
| [Jaksam doors\_creator](https://fivem.jaksam-scripts.com/package/4960053)    | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | *cd\_dispatch3d/integrations* |
| [Jaksam drugs\_creator](https://fivem.jaksam-scripts.com/package/5369988)    | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [Jaksam mission\_creator](https://fivem.jaksam-scripts.com/package/6240151)  | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [Jaksam robbery\_creator](https://fivem.jaksam-scripts.com/package/5369985)  | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [Jaksam\_vehicle\_keys](https://fivem.jaksam-scripts.com/package/5369990)    | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [Jaksam\_races\_creator](https://fivem.jaksam-scripts.com/package/5511252)   | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |
| [Jaksam\_farming\_creator](https://fivem.jaksam-scripts.com/package/5391625) | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | 〃                             |

***

### KuzQuality

| Script Name                                                                    | Compatibility Type                                          | Notes |
| ------------------------------------------------------------------------------ | ----------------------------------------------------------- | ----- |
| [Meth Cooking](https://kuzquality.com/package/meth-cooking)                    | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [Meth Cooking - Amphetamines DLC](https://kuzquality.com/package/amphetamines) | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [Smash 'n Grab](https://kuzquality.com/package/smash-n-grab)                   | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [Smugglers Plane Heist](https://kuzquality.com/package/smugglers-plane-heist)  | <mark style="color:$success;">**Built-In (creator)**</mark> |       |

***

### Lation Scripts

| Script Name                                                        | Compatibility Type                                          | Notes |
| ------------------------------------------------------------------ | ----------------------------------------------------------- | ----- |
| [lation\_coke](https://lationscripts.com/product/coke-processing)  | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [lation\_laundering](https://lationscripts.com/product/money-wash) | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [lation\_meth](https://lationscripts.com/product/meth-crafting)    | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [lation\_selling](https://lationscripts.com/product/drug-selling)  | <mark style="color:$success;">**Built-In (creator)**</mark> |       |

***

### Loaf Scripts

| Script Name                                                          | Compatibility Type                                          | Notes |
| -------------------------------------------------------------------- | ----------------------------------------------------------- | ----- |
| [loaf\_bankrobbery](https://store.loaf-scripts.com/package/4470485)  | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [loaf\_jewelheist](https://store.loaf-scripts.com/package/4956479)   | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [loaf\_storerobbery](https://store.loaf-scripts.com/package/4510865) | <mark style="color:$success;">**Built-In (creator)**</mark> |       |

***

### Lunar

| Script Name                                                             | Compatibility Type                                          | Notes |
| ----------------------------------------------------------------------- | ----------------------------------------------------------- | ----- |
| [lunar\_drugscreator](https://lunar-scripts.tebex.io/package/6750866)   | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [lunar\_heistcontracts](https://lunar-scripts.tebex.io/package/6346140) | <mark style="color:$success;">**Built-In (creator)**</mark> |       |

***

### MenanAk47&#xD;

| Script Name                                                          | Compatibility Type                                          | Notes |
| -------------------------------------------------------------------- | ----------------------------------------------------------- | ----- |
| [ak47\_ambulancejob](https://menanak47.tebex.io/package/5884442)     | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [ak47\_qb\_ambulancejob](https://menanak47.tebex.io/package/5893947) | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [ak47\_carboosting](https://menanak47.tebex.io/package/6271022)      | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [ak47\_qb\_carboosting](https://menanak47.tebex.io/package/6271024)  | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [ak47\_gangs](https://menanak47.tebex.io/package/6027838)            | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [ak47\_qb\_gangs](https://menanak47.tebex.io/package/6029252)        | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [ak47\_territories](https://menanak47.tebex.io/package/6810765)      | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [ak47\_qb\_territories](https://menanak47.tebex.io/package/6810766)  | <mark style="color:$success;">**Built-In (creator)**</mark> |       |

***

### Project X

| Script Name                                             | Compatibility Type                                          | Notes |
| ------------------------------------------------------- | ----------------------------------------------------------- | ----- |
| [All Scripts](https://www.projectx.gg/category/2813127) | <mark style="color:$success;">**Built-In (creator)**</mark> |       |

***

### Pug

| Script Name                                                         | Compatibility Type                                                 | Notes                       |
| ------------------------------------------------------------------- | ------------------------------------------------------------------ | --------------------------- |
| [pug-robberycreator](https://pug-webstore.tebex.io/package/6493520) | <mark style="color:$success;">**Built-In (creator)**</mark>        |                             |
| [pug-paintball](https://pug-webstore.tebex.io/package/5513575)      | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | cd\_dispatch3d/integrations |
| [pug-battleroyale](https://pug-webstore.tebex.io/package/5787026)   | <mark style="color:$success;">**Built-In (cd\_dispatch3d)**</mark> | cd\_dispatch3d/integrations |

***

### Rainmad

| Script Name                                                     | Compatibility Type                                          | Notes |
| --------------------------------------------------------------- | ----------------------------------------------------------- | ----- |
| [All Heist Scripts](https://store.rainmad.com/category/1876861) | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [All Drugs Scripts](https://store.rainmad.com/category/1876861) | <mark style="color:$success;">**Built-In (creator)**</mark> |       |

***

### RTX

| Script Name                                                | Compatibility Type                                          | Notes |
| ---------------------------------------------------------- | ----------------------------------------------------------- | ----- |
| [rtx\_drugs\_system](https://rtx.tebex.io/package/6967674) | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [rtx\_housing](https://rtx.tebex.io/package/7181359)       | <mark style="color:$success;">**Built-In (creator)**</mark> |       |

***

### TK Scripts

| Script Name                                                        | Compatibility Type                                          | Notes |
| ------------------------------------------------------------------ | ----------------------------------------------------------- | ----- |
| [tk\_boosting](https://tkscripts.com/product/boosting)             | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [tk\_drugs](https://tkscripts.com/product/drugs)                   | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [tk\_druglabs](https://tkscripts.com/product/druglabs)             | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [tk\_garagerobbery](https://tkscripts.com/product/garagerobbery)   | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [tk\_houserobbery](https://tkscripts.com/product/houserobbery)     | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [tk\_npcrobbery](https://tkscripts.com/product/npcrobbery)         | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [tk\_jewelryrobbery](https://tkscripts.com/product/jewelryrobbery) | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [tk\_selldrugs](https://tkscripts.com/product/selldrugs)           | <mark style="color:$success;">**Built-In (creator)**</mark> |       |
| [tk\_shoprobbery](https://tkscripts.com/product/shoprobbery)       | <mark style="color:$success;">**Built-In (creator)**</mark> |       |

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.codesign.pro/paid-scripts/dispatch3d/resource-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
